Apache server constantly crash


  • | 2114 points

    WINDOWS 10
    Laragon full 4.0.16

    Hi,
    I'm unable to use Laragon since Apache server is constantly crashing when I change the PHP version from :

    php-debug-pack-7.1.32-nts-Win32-VC14-x64

    to

    php-7.2.2-Win32-VC15-x64 or
    php-7.3.10-Win32-VC15-x64

    I can not upload pictures since I don't have the adequate privileges but the message box which is displayed says :

    Service Apache server can not start : Reason

    httpd: Syntax error on line 542 of
    c:/laragon/bin/apache/httpd-2.4.29-Win64-VC15/cons....
    Syntax error on line 1 of
    c:/laragon/etc/apache2/fcgid.conf:cannot load
    c:/laragon/etc/apache2/modules/mod_fcgid-2.3.9-Wi...
    into server : %1 is not valid Win32 application

    I have less server configuration experience | knowledge, so I would appreciate some help here to solve those issues.

    Thanks in advance, cheers, Marc


  • | 2114 points

    Hi,

    I tried to install the new Apache version

    httpd-2.4.41-win64-VS16.zip

    https://www.apachelounge.com/download/

    but same error message...


  • administrators
    | 123643 points

    @marcq : What's your Laragon version?


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.